Page MenuHomePhabricator

Write the software engineer job description
Closed, ResolvedPublic0 Story Points

Description

  • Write the job description for the software engineer position we will open in Research.
  • Team input.

Event Timeline

leila triaged this task as High priority.Jul 18 2019, 12:36 AM
leila created this task.
leila updated the task description. (Show Details)Aug 2 2019, 7:01 PM

JD is completed and team input is in. Checking with Sarah in Recruiting about the next steps.

leila closed this task as Resolved.Aug 6 2019, 12:56 AM